
// Luce Digitale/JQ Sunny Carousel Plugin                                                                                            
// Author: Andrea Tonin - http://blog.lucedigitale.com                                                                  
// This code come with absolutely no warranty                                                                                          
// If you use this code in your project please give a link to http://blog.lucedigitale.com or give a like to https://www.facebook.com/lucedigitale
// Thanks in advance 

  $(document).ready(function() {
  
        // Load the css style sheet
        $('head').append( $('<link rel="stylesheet" type="text/css" />').attr('href', 'sunny-carousel-plugin.css') );
  
        //move he last list item before the first item. The purpose of this is if the user clicks to slide left he will be able to see the last item.
        $('#carousel_list li:first').before($('#carousel_list li:last'));        
        
        // #################################################
		//when user clicks the image for sliding right START       
        $('#right_arrow img').click(function(){
        
            //get the width of the items ( i like making the jquery part dynamic, so if you change the width in the css you won't have o change it here too ) '
            var item_width = $('#carousel_list li').outerWidth() + 10;
            
            //calculae the new left indent of the unordered list
            var left_indent = parseInt($('#carousel_list').css('left')) - item_width;
            
            //make the sliding effect using jquery's anumate function '
            $('#carousel_list:not(:animated)').animate({'left' : left_indent},500,function(){    
                
            //get the first list item and put it after the last list item (that's how the infinite effects is made) '
            $('#carousel_list li:last').after($('#carousel_list li:first')); 
                
            //and get the left indent to the default -210px
            $('#carousel_list').css({'left' : '-210px'});
            }); 
        });
		//when user clicks the image for sliding right END
		// ################################################
        
        // ################################################
		//when user clicks the image for sliding left START
        $('#left_arrow img').click(function(){
            
            var item_width = $('#carousel_list li').outerWidth() + 10;
            
            /* same as for sliding right except that it's current left indent + the item width (for the sliding right it's - item_width) */
            var left_indent = parseInt($('#carousel_list').css('left')) + item_width;
            
            $('#carousel_list:not(:animated)').animate({'left' : left_indent},500,function(){    
            
            /* when sliding to left we are moving the last item before the first list item */            
            $('#carousel_list li:first').before($('#carousel_list li:last')); 
            
            /* and again, when we make that change we are setting the left indent of our unordered list to the default -210px */
            $('#carousel_list').css({'left' : '-210px'});
            });            
        });
		//when user clicks the image for sliding left END
		// ###############################################
		
		// ###############################################
		// Automatic animation START
		setInterval(function(){  
		
            //get the width of the items ( i like making the jquery part dynamic, so if you change the width in the css you won't have o change it here too ) '
            var item_width = $('#carousel_list li').outerWidth() + 10;
            
            //calculae the new left indent of the unordered list
            var left_indent = parseInt($('#carousel_list').css('left')) - item_width;
            
            //make the sliding effect using jquery's anumate function '
            $('#carousel_list:not(:animated)').animate({'left' : left_indent},500,function(){    
                
            //get the first list item and put it after the last list item (that's how the infinite effects is made) '
            $('#carousel_list li:last').after($('#carousel_list li:first')); 
                
            //and get the left indent to the default -210px
            $('#carousel_list').css({'left' : '-210px'});
            });
	  
        },5000); // setInterval simulate the right arrow click every 5 sec
		// Automatic animation END
		// ###############################################
  });